apt 3.1.11 commandline package manager

Public Member Functions | List of all members
ContiguousCacheMap< K, V, fast > Class Template Reference

A simple mapping from objects in the cache to user-defined types. More...

`#include <apt-pkg/solver3.h>`

## Public Member Functions
| ContiguousCacheMap (pkgCache &cache)
V & | operator[] (const K *key)
const V & | operator[] (const K *key) const

## Detailed Description

template<typename K, typename V, bool fast = false>
class APT::ContiguousCacheMap< K, V, fast >

A simple mapping from objects in the cache to user-defined types.

This default initializes an array with the specified value type for each object in the cache of that type.

The documentation for this class was generated from the following file:

- apt-pkg/solver3.h